import {
  createBaseThemeOptions,
  createUnifiedTheme,
  genPageTheme,
  palettes,
  shapes,
} from '@backstage/theme';

export const myTheme = createUnifiedTheme({
  ...createBaseThemeOptions({
    palette: palettes.light,
  }),
  defaultPageTheme: 'home',
  pageTheme: {
    home: genPageTheme({ colors: ['#EC008C'], shape: shapes.wave }),
    documentation: genPageTheme({ colors: ['#EC008C'], shape: shapes.wave2 }),
    tool: genPageTheme({ colors: ['#EC008C'], shape: shapes.round }),
    service: genPageTheme({ colors: ['#EC008C'], shape: shapes.wave }),
    website: genPageTheme({ colors: ['#EC008C'], shape: shapes.wave }),
    library: genPageTheme({ colors: ['#EC008C'], shape: shapes.wave }),
    other: genPageTheme({ colors: ['#EC008C'], shape: shapes.wave }),
    app: genPageTheme({ colors: ['#EC008C'], shape: shapes.wave }),
    apis: genPageTheme({ colors: ['#EC008C'], shape: shapes.wave }),
  },
});
